# rtc-ds13307

Linux Kernel driver for the [DS1307](https://datasheets.maximintegrated.com/en/ds/DS1307.pdf) and [DS1337](https://datasheets.maximintegrated.com/en/ds/DS1337-DS1337C.pdf) RTC modules implemented from scratch.

## Getting Started

Execute `make` to compile the kernel module and then load the compiled module via `insmod`. Please make sure that no other kernel is loaded for the hardware (e.g. the stock `rtc-ds1307` module) before loading this one.

## Prerequisites

To use this module, you will need either a DS1307 oder DS1337 rtc module that is attached to your computer via i2c. To compile it, you will need gcc, make and the kernel-headers for your currently running kernel. Usually you will be able to install the kernel headers through a package called `kernel-headers`, `linux-headers` or `raspberrypi-kernel-headers` in the case of Raspbian. The name of the package largely depends on your distribution.

### Installing

TBD

## Authors

* **Helmut Pozimski** - *Initial work* - [Hoshpak](https://git.cyber-everything.de/Hoshpak)

## License

This project is licensed under the GNU General Public License, Version 2 - see the [COPYING](COPYING) file for details

## Acknowledgments

TBD
